Name:           vidalia
Version:        0.3.1
Release:        %mkrel 13
Summary:        Cross-platform controller GUI for Tor, built using the Qt framework
License:        GPLv2+
Group:          Networking/Other
URL:            http://www.torproject.org/projects/vidalia
Source0:        http://www.torproject.org/dist/vidalia/%{name}-%{version}.tar.gz
Source1:        http://www.torproject.org/dist/vidalia/%{name}-%{version}.tar.gz.asc
Patch0:         vidalia-0.3.1-fix-paths.patch
Patch1:         vidalia-0.3.1-gcc-4.7.patch
Patch2:         vidalia-0.3.1-TorSettings.h.patch
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  pkgconfig(openssl)
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
Requires:       tor

%description
Vidalia is a cross-platform controller GUI for Tor, built using the Qt
framework. Vidalia runs on any platform supported by Qt 4.1, including
Windows, Mac OS X, and Linux or other Unix variants using the X11
window system.

Vidalia allows you to start and stop Tor, view the status of Tor at a
glance, and monitor Tor's bandwidth usage. Vidalia also makes it easy
to contribute to the Tor network by helping you setup a Tor server, if
you wish.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt4
%cmake_build

# make the docs
make doxygen -C build

%install
%cmake_install

install -D -p -m 644 doc/vidalia.1 %{buildroot}%{_mandir}/man1/vidalia.1

%files
%doc CHANGELOG CREDITS HACKING LICENSE README README.marble
%doc build/doc/html
%{_bindir}/vidalia
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.3.1-13.mga8
+ Revision: 1518063
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Sep 23 2018 umeabot <umeabot> 0.3.1-12.mga7
+ Revision: 1301611
- Mageia 7 Mass Rebuild

* Wed Oct 11 2017 daviddavid <daviddavid> 0.3.1-11.mga7
+ Revision: 1170840
- patch2: fix build with gcc7

* Thu Oct 13 2016 daviddavid <daviddavid> 0.3.1-10.mga6
+ Revision: 1060619
- fix desktop file Categories (mga#2449)

* Wed Feb 17 2016 umeabot <umeabot> 0.3.1-9.mga6
+ Revision: 963192
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 wally <wally> 0.3.1-8.mga6
+ Revision: 895815
- use ~/.vidalia as default data directory and ~/.vidalia/torrc as default tor configuration file (mga#11194)

* Mon Oct 27 2014 wally <wally> 0.3.1-7.mga5
+ Revision: 793921
- use ~/.vidalia/data as default DataDirectory
- drop unneeded Epoch

* Wed Oct 15 2014 umeabot <umeabot> 0:0.3.1-6.mga5
+ Revision: 744923
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:0.3.1-5.mga5
+ Revision: 690202
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:0.3.1-4.mga4
+ Revision: 520004
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0:0.3.1-3.mga3
+ Revision: 385408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 0:0.3.1-2.mga3
+ Revision: 333733
- fix build with gcc 4.7

* Tue May 29 2012 kharec <kharec> 0:0.3.1-1.mga3
+ Revision: 249163
- new version 0.3.1

* Wed Feb 22 2012 kharec <kharec> 0:0.2.17-1.mga2
+ Revision: 211769
- new version 0.2.17

* Sat Nov 26 2011 kharec <kharec> 0:0.2.15-1.mga2
+ Revision: 172375
- update to 0.2.15
- update signature format

* Wed Jun 15 2011 kharec <kharec> 0:0.2.12-1.mga2
+ Revision: 106945
- new version
- rediff a part of p0

* Wed Apr 13 2011 kharec <kharec> 0:0.2.10-1.mga1
+ Revision: 84457
- imported package vidalia

